package com.zswl.cloud.springBtach.server.core.service.impl;

import com.github.microservice.auth.client.content.ResultContent;
import com.github.microservice.auth.client.content.ResultState;
import com.zswl.cloud.springBatch.client.model.dfy.Ticket.request.*;
import com.zswl.cloud.springBatch.client.model.dfy.Ticket.response.*;
import com.zswl.cloud.springBatch.client.service.DfyTicketService;
import com.zswl.cloud.springBtach.server.core.api.dfy.TicketApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DfyTicketServiceImpl implements DfyTicketService {

    @Autowired
    TicketApi ticketApi;


    public ResultContent<ScenicListResponse> scenicList(ScenicListRequest scenicListRequest) {
        return ResultContent.buildContent(ticketApi.scenicList(scenicListRequest));
    }


    public ResultContent<ScenicDetailResponse> scenicDetail(ScenicDetailRequest scenicDetailRequest) {
        return ResultContent.buildContent(ticketApi.scenicDetail(scenicDetailRequest));
    }


    public ResultContent<PrivilegeTicketListResponse> privilegeTicketList(PrivilegeTicketListRequest privilegeTicketListRequest) {
        return ResultContent.buildContent(ticketApi.privilegeTicketList(privilegeTicketListRequest));
    }


    public ResultContent<DetailResponse> detail(DetailRequest detailRequest) {
        return ResultContent.buildContent(ticketApi.detail(detailRequest));
    }


    public ResultContent<CreateOrderNewResponse> createOrderNew(CreateOrderNewRequest createOrderNewRequest) {
        return ResultContent.buildContent(ticketApi.createOrderNew(createOrderNewRequest));
    }


    public ResultContent cancelOrder(CancelOrderRequest cancelOrderRequest) {
        ticketApi.cancelOrder(cancelOrderRequest);
        return ResultContent.build(ResultState.Success);
    }


    public ResultContent<SubmitOrderResponse> submitOrderResponse(SubmitOrderRequest submitOrderRequest) {
        return ResultContent.buildContent(ticketApi.submitOrderResponse(submitOrderRequest));

    }


    public ResultContent<OrderDetailResponse> orderDetail(OrderDetailRequest orderDetailRequest) {
        return ResultContent.buildContent(ticketApi.orderDetail(orderDetailRequest));

    }


    public ResultContent<OrderStatusResponse> orderStatus(OrderStatusRequest orderStatusRequest) {
        return ResultContent.buildContent(ticketApi.orderStatus(orderStatusRequest));

    }


    public ResultContent<VerifyOrderResponse> verifyOrder(VerifyOrderRequest verifyOrderRequest) {
        return ResultContent.buildContent(ticketApi.verifyOrder(verifyOrderRequest));

    }


    public ResultContent<TuiPiaoResponse> tuiPiao(TuiPiaoRequest tuiPiaoRequest) {
        return ResultContent.buildContent(ticketApi.tuiPiao(tuiPiaoRequest));

    }
}
